package cn.com.infosec.mobile.android;

import android.content.Context;
import android.support.annotation.NonNull;
import android.text.TextUtils;
import cn.com.infosec.mobile.android.otp.InfosecOTP;
import cn.com.infosec.mobile.android.result.Result;
import cn.com.infosec.mobile.android.xlog.XLog;
import java.util.HashSet;
import java.util.Map;
import java.util.Set;
import java.util.logging.Level;
import org.json.JSONException;
import org.json.JSONObject;

public class IMSCertAndTokenAction extends IMSCertAction {
   private InfosecOTP infosecOTP;

   public IMSCertAndTokenAction(Context context) {
      IMSCertAndTokenAction var10000 = this;
      super(context);
      InfosecOTP var2;
      var2 = new InfosecOTP.<init>();
      var10000.infosecOTP = var2;
   }

   private Result checkAndImportSeed(@NonNull String userName, @NonNull String PIN, JSONObject responseData, Result result) {
      String var10000 = "000000";

      JSONException var41;
      label215: {
         boolean var10001;
         boolean var42;
         try {
            var42 = TextUtils.equals(var10000, result.getResultID());
         } catch (JSONException var35) {
            var41 = var35;
            var10001 = false;
            break label215;
         }

         if (!var42) {
            return result;
         }

         JSONObject var43;
         String var44;
         try {
            var43 = responseData;
            var44 = responseData.getString("seed");
         } catch (JSONException var34) {
            var41 = var34;
            var10001 = false;
            break label215;
         }

         String result1 = var44;

         try {
            var10000 = var43.optString("seedId");
         } catch (JSONException var33) {
            var41 = var33;
            var10001 = false;
            break label215;
         }

         String var5 = var10000;

         try {
            var42 = TextUtils.isEmpty(var10000);
         } catch (JSONException var32) {
            var41 = var32;
            var10001 = false;
            break label215;
         }

         HashSet var7;
         IMSCertAndTokenAction var45;
         Set var46;
         HashSet var47;
         int var48;
         if (!var42) {
            try {
               var45 = this;
               var44 = userName;
               this.infosecOTP.writeSeed(userName.concat("_").concat(var5), result1, PIN);
            } catch (JSONException var31) {
               var41 = var31;
               var10001 = false;
               break label215;
            }

            try {
               var46 = var45.getUserSP(var44).getStringSet("SEED_IDS", (Set)null);
            } catch (JSONException var30) {
               var41 = var30;
               var10001 = false;
               break label215;
            }

            Set var6 = var46;

            try {
               var47 = new HashSet;
            } catch (JSONException var29) {
               var41 = var29;
               var10001 = false;
               break label215;
            }

            var7 = var47;

            try {
               var47.<init>();
            } catch (JSONException var28) {
               var41 = var28;
               var10001 = false;
               break label215;
            }

            if (var46 != null) {
               try {
                  var48 = var6.size();
               } catch (JSONException var27) {
                  var41 = var27;
                  var10001 = false;
                  break label215;
               }

               if (var48 > 0) {
                  try {
                     var7.addAll(var6);
                  } catch (JSONException var26) {
                     var41 = var26;
                     var10001 = false;
                     break label215;
                  }
               }
            }

            try {
               var45 = this;
               var44 = userName;
               var7.add(var5);
            } catch (JSONException var25) {
               var41 = var25;
               var10001 = false;
               break label215;
            }

            try {
               var45.getUserSP(var44).edit().putStringSet("SEED_IDS", var7).apply();
            } catch (JSONException var24) {
               var41 = var24;
               var10001 = false;
               break label215;
            }
         }

         try {
            var43 = responseData;
            var44 = responseData.optString("oldSeed");
         } catch (JSONException var23) {
            var41 = var23;
            var10001 = false;
            break label215;
         }

         var5 = var44;

         try {
            var10000 = var43.optString("oldSeedId");
         } catch (JSONException var22) {
            var41 = var22;
            var10001 = false;
            break label215;
         }

         String var40 = var10000;

         try {
            var42 = TextUtils.isEmpty(var5);
         } catch (JSONException var21) {
            var41 = var21;
            var10001 = false;
            break label215;
         }

         if (!var42) {
            try {
               var42 = TextUtils.isEmpty(var40);
            } catch (JSONException var20) {
               var41 = var20;
               var10001 = false;
               break label215;
            }

            if (!var42) {
               try {
                  var45 = this;
                  var44 = userName;
                  this.infosecOTP.writeSeed(userName.concat("_").concat(var40), var5, PIN);
               } catch (JSONException var19) {
                  var41 = var19;
                  var10001 = false;
                  break label215;
               }

               try {
                  var46 = var45.getUserSP(var44).getStringSet("SEED_IDS", (Set)null);
               } catch (JSONException var18) {
                  var41 = var18;
                  var10001 = false;
                  break label215;
               }

               Set var39 = var46;

               try {
                  var47 = new HashSet;
               } catch (JSONException var17) {
                  var41 = var17;
                  var10001 = false;
                  break label215;
               }

               var7 = var47;

               try {
                  var47.<init>();
               } catch (JSONException var16) {
                  var41 = var16;
                  var10001 = false;
                  break label215;
               }

               if (var46 != null) {
                  try {
                     var48 = var39.size();
                  } catch (JSONException var15) {
                     var41 = var15;
                     var10001 = false;
                     break label215;
                  }

                  if (var48 > 0) {
                     try {
                        var7.addAll(var39);
                     } catch (JSONException var14) {
                        var41 = var14;
                        var10001 = false;
                        break label215;
                     }
                  }
               }

               try {
                  var45 = this;
                  var44 = userName;
                  var7.add(var40);
               } catch (JSONException var13) {
                  var41 = var13;
                  var10001 = false;
                  break label215;
               }

               try {
                  var45.getUserSP(var44).edit().putStringSet("SEED_IDS", var7).apply();
               } catch (JSONException var12) {
                  var41 = var12;
                  var10001 = false;
                  break label215;
               }
            }
         }

         Result var49;
         try {
            var45 = this;
            var49 = new Result;
         } catch (JSONException var11) {
            var41 = var11;
            var10001 = false;
            break label215;
         }

         Result var36 = var49;

         try {
            var42 = var45.infosecOTP.writeSeed(userName, result1, PIN);
         } catch (JSONException var10) {
            var41 = var10;
            var10001 = false;
            break label215;
         }

         if (var42) {
            try {
               var10000 = responseData.getString("resultcode");
            } catch (JSONException var9) {
               var41 = var9;
               var10001 = false;
               break label215;
            }

            userName = var10000;
         } else {
            userName = "IE1004";
         }

         try {
            var36.<init>(userName);
            return var36;
         } catch (JSONException var8) {
            var41 = var8;
            var10001 = false;
         }
      }

      JSONException var37 = var41;
      IMSSdk.mLogger.log(Level.SEVERE, "申请种子失败:JSON异常", var37);
      XLog.d("申请种子失败:JSON异常" + var37);
      return new Result("IE1008", responseData.toString());
   }

   private Map<String, String> reorganizeRequestParams(String userName, Map<String, String> params) {
      params.put("sm2pubkey", this.infosecOTP.getPubKey(userName));
      return params;
   }

   public Map<String, String> collaborateCertBegin(@NonNull String userName, @NonNull String PIN, JSONObject responseData) {
      Map PIN1;
      return (PIN1 = super.collaborateCertBegin(userName, PIN, responseData)) == null ? PIN1 : this.reorganizeRequestParams(userName, PIN1);
   }

   public Map<String, String> certBegin(@NonNull String userName, @NonNull String PIN) {
      return this.reorganizeRequestParams(userName, super.certBegin(userName, PIN));
   }

   public Result collaborateCertFinal(@NonNull String userName, @NonNull String PIN, JSONObject responseData) {
      IMSCertAndTokenAction var10000 = this;
      Result var4 = super.collaborateCertFinal(userName, PIN, responseData);
      return var10000.checkAndImportSeed(userName, PIN, responseData, var4);
   }

   public Result certFinal(@NonNull String userName, @NonNull String PIN, JSONObject responseData) {
      IMSCertAndTokenAction var10000 = this;
      Result var4 = super.certFinal(userName, PIN, responseData);
      return var10000.checkAndImportSeed(userName, PIN, responseData, var4);
   }
}
